"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var webpack_merge_1 = tslib_1.__importDefault(require("webpack-merge"));
var webpack_hooks_1 = tslib_1.__importStar(require("./webpack-hooks"));
var webpack_client_dev_1 = tslib_1.__importDefault(require("./webpack.client.dev"));
/** Webpack config for the client to improve debugging */
var config = function (options) {
    return webpack_merge_1.default(webpack_client_dev_1.default(options), {
        devtool: 'source-map',
    }, webpack_hooks_1.getHook(webpack_hooks_1.default(options.log, options.buildConfig.BASE).clientDebug, options));
};
exports.default = config;
//# sourceMappingURL=webpack.client.debug.js.map