"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var webpack_merge_1 = tslib_1.__importDefault(require("webpack-merge"));
var webpack_hooks_1 = tslib_1.__importStar(require("./webpack-hooks"));
var webpack_server_dev_1 = tslib_1.__importDefault(require("./webpack.server.dev"));
/** Webpack config for the server to enable debugging */
var config = function (options) {
    return webpack_merge_1.default(webpack_server_dev_1.default(options), {
        devtool: 'source-map',
        output: {
            devtoolFallbackModuleFilenameTemplate: '[absolute-resource-path]?[hash]',
            devtoolModuleFilenameTemplate: '[absolute-resource-path]',
        },
    }, webpack_hooks_1.getHook(webpack_hooks_1.default(options.log, options.buildConfig.BASE).serverDebug, options));
};
exports.default = config;
//# sourceMappingURL=webpack.server.debug.js.map