"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the state transferred by the transferState function
 * @param key The key to use to read the state
 */
function getTransferredState(key) {
    return typeof window !== 'undefined' ? window[key] : undefined;
}
exports.getTransferredState = getTransferredState;
//# sourceMappingURL=get-transferred-state.js.map