"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createEnsureRequestLogMiddleware = function (log) {
    return function (req, _res, next) {
        if (!hasLog(req)) {
            ;
            req.log = log;
        }
        return next();
    };
};
function hasLog(req) {
    return req.log !== undefined;
}
exports.hasLog = hasLog;
//# sourceMappingURL=ensure-request-log-middleware.js.map