"use strict";
// tslint:disable:max-classes-per-file
// tslint:disable:variable-name
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/**
 * Error type which indicates an error which is well understood and
 * can be used to downgrade log levels to info level
 */
var Information = /** @class */ (function (_super) {
    tslib_1.__extends(Information, _super);
    function Information(message) {
        var _this = _super.call(this, message) || this;
        _this.isInformation = true;
        // This is required to make `err instanceof Information` work
        _this.constructor = Information;
        _this.__proto__ = Information.prototype;
        _this.name = 'Information';
        return _this;
    }
    return Information;
}(Error));
exports.Information = Information;
/**
 * Error type which indicates a warning, can be used to downgrade log levels
 * when errors are caught
 */
var Warning = /** @class */ (function (_super) {
    tslib_1.__extends(Warning, _super);
    function Warning(message) {
        var _this = _super.call(this, message) || this;
        _this.isWarning = true;
        // This is required to make `err instanceof Warning` work
        _this.constructor = Warning;
        _this.__proto__ = Warning.prototype;
        _this.name = 'Warning';
        return _this;
    }
    return Warning;
}(Error));
exports.Warning = Warning;
var Status404Error = /** @class */ (function (_super) {
    tslib_1.__extends(Status404Error, _super);
    function Status404Error() {
        var _this = _super.call(this, '404') || this;
        // This is required to make `err instanceof Status404Error` work
        _this.constructor = Status404Error;
        _this.__proto__ = Status404Error.prototype;
        _this.name = 'Status404Error';
        return _this;
    }
    return Status404Error;
}(Information));
exports.Status404Error = Status404Error;
//# sourceMappingURL=errors.js.map