import binBuild from './bin/build';
import binClean from './bin/clean';
import binExploreBundle from './bin/explore-bundle';
import binStart from './bin/start';
import binWatch from './bin/watch';
import * as buildModule from './build';
import * as configModule from './config';
import * as runtimeServerModule from './runtime/server';
import * as universalModule from './runtime/universal';
import * as serverModule from './server';
export const bin = {
    build: binBuild,
    clean: binClean,
    exploreBundle: binExploreBundle,
    start: binStart,
    watch: binWatch,
};
export const build = buildModule;
export const config = configModule;
export const runtimeServer = runtimeServerModule;
export const universal = universalModule;
export const server = serverModule;
export { default as clean } from './clean';
//# sourceMappingURL=index.js.map