/**
 * @jest-environment node
 */
import React from 'react';
import { renderToString } from 'react-dom/server';
import { Route, Switch } from 'react-router-dom';
import { consoleLogger } from 'typescript-log';
import { PromiseTracker } from '../../universal';
import { renderApp } from './render-app-to-string';
const Home = () => React.createElement("div", null, "Home");
const TestApp = () => (React.createElement(Switch, null,
    React.createElement(Route, { exact: true, path: "/", component: Home })));
it('renders app callback with router', () => {
    const renderResult = renderApp('/', renderToString, consoleLogger(), () => React.createElement(TestApp, null), new PromiseTracker());
    expect(renderResult.renderResult).toMatchSnapshot();
});
//# sourceMappingURL=render-app-to-string.spec.js.map