import { getCustomConfigFile } from '../runtime/util/fs';
export var webpackHooks = function (log, root) {
    return getCustomConfigFile(log, root, 'config/webpack-hooks', {});
};
export var getHook = function (hook, options) {
    if (hook === undefined) {
        return {};
    }
    if (typeof hook === 'function') {
        return hook(options);
    }
    return hook;
};
export default webpackHooks;
//# sourceMappingURL=webpack-hooks.js.map