import { Assets } from 'assets-webpack-plugin';
import { BuildConfig, RuntimeConfig } from '../server';
import { PageTag } from './ssr/full-render';
export declare const getAssetsFile: (base: string) => string;
export declare const setDefaultAssets: (buildConfig: BuildConfig) => void;
export declare function updateAssetLocations(newAssets: Assets): void;
export declare function getAssetLocations(runtimeConfig: RuntimeConfig): Assets;
export declare function getAssets(runtimeConfig: RuntimeConfig): Assets;
export declare const getAbsoluteAssetPath: (runtimeConfig: RuntimeConfig, asset: string) => string;
export declare function getHeadAssets(buildAssets: Assets): PageTag[];
export declare function getBodyAssets(buildAssets: Assets): PageTag[];
